<?php
declare(strict_types=1);

namespace CatequilTest\Cli;

use Catequil\Cli\ConfigProvider;
use Laminas\ConfigAggregator\ArrayProvider;
use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ServiceManager\ServiceManager;

$config = (new ConfigAggregator([
    ConfigProvider::class,

    new ArrayProvider([
        'cli' => [
            'commands' => [
                Command\PhpModules::class,
            ],
        ],
        'dependencies' => [
            'invokables' => [
                Command\PhpModules::class,
            ],
        ],
    ]),
]))->getMergedConfig();

$config['dependencies']['services']['config'] = $config;
return new ServiceManager($config['dependencies']);
